# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-hcs_utils
%global srcname hcs_utils

Name:		python-module-hcs_utils
Version:	1.1.1
Release:	alt1_7
Summary:	A collection of useful python snippets for hcs's projects

Group:		Development/Python
License:	ISC
URL:		http://pypi.python.org/pypi/hcs_utils
Source0:	http://pypi.python.org/packages/source/h/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python-module-setuptools
BuildRequires:	python-module-nose
Source44: import.info


%description
This collection of python snippets includes:
* memoize decorator (caching)
* a storage class wrapping a dict.
* unittest assert functions.
* Functions for handling large JSON documents.
* list_dir(path) a..> (dirnames, filenames)
* PID file locking
* A synchronization decorator


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

# Remove shebang
for lib in `find %{buildroot}%{python_sitelibdir_noarch}/hcs_utils/ -name '*.py'`; do
	sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
	touch -r $lib $lib.new &&
	mv $lib.new $lib
done

%files
%doc README.txt IDEAS.txt HACKING.txt NEWS.txt
%{python_sitelibdir_noarch}/hcs_utils*



%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_7
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_6
- initial fc import

